| LicenseSpring C++ SDK 7.27.0 Easily add Software Licensing to your application

Public Types | Public Member Functions | List of all members
LicenseSpring::Customer Class Reference

Class that encapsulates information about a customer. More...

`#include <LicenseSpring/Customer.h>`

## Public Types
using | ptr_t = std::shared_ptr< Customer >

## Public Member Functions
| Customer ()=default
| Constructs customer with no information. More...
| Customer (const std::string &email)
| Constructs customer with given email. More...
const std::string & | email () const
| Getter method for customer email. More...
void | setEmail (const std::string &email)
| Setter method for customer email. More...
const std::string & | firstName () const
| Getter method for customer first name. More...
void | setFirstName (const std::string &firstName)
| Setter method for customer first name. More...
const std::string & | lastName () const
| Getter method for customer last name. More...
void | setLastName (const std::string &lastName)
| Setter method for customer last name. More...
const std::string & | company () const
| Getter method for customer company. More...
void | setCompany (const std::string &company)
| Setter method for customer company name. More...
const std::string & | phone () const
| Getter method for customer phone. More...
void | setPhone (const std::string &phone)
| Setter method for customer phone. More...
const std::string & | address () const
| Getter method for customer address. More...
void | setAddress (const std::string &address)
| Setter method for customer address. More...
const std::string & | city () const
| Getter method for customer city. More...
void | setCity (const std::string &city)
| Setter method for customer city. More...
const std::string & | state () const
| Getter method for customer state/province/region. More...
void | setState (const std::string &state)
| Setter method for customer state/province/region. More...
const std::string & | country () const
| Getter method for customer country. More...
void | setCountry (const std::string &country)
| Setter method for customer country. More...
const std::string & | postcode () const
| Getter method for customer postcode/zipcode. More...
void | setPostcode (const std::string &postcode)
| Setter method for customer postcode/zipcode. More...
const std::string & | reference () const
| Getter method for customer reference. More...
void | setReference (const std::string &reference)
| Setter method for customer reference. More...
const std::string & | metadata () const
| Getter method for customer metadata. More...
void | setMetadata (const std::string &metadata)
| Setter method for customer metadata. More...

## Detailed Description

Class that encapsulates information about a customer.

Definition at line 17 of file Customer.h.

## Member Typedef Documentation

## ◆ ptr_t

using LicenseSpring::Customer::ptr_t = std::shared_ptr<Customer>

Definition at line 20 of file Customer.h.

## Constructor & Destructor Documentation

## ◆ Customer() [1/2]

LicenseSpring::Customer::Customer | ( |  | ) |
| default

Constructs customer with no information.

## ◆ Customer() [2/2]

LicenseSpring::Customer::Customer | ( | const std::string & | email | ) |

Constructs customer with given email.

Parameters

  email | Email corresponding to customer

Note: email is required if you attempt to get trial license for user-based product.

## Member Function Documentation

## ◆ email()

const std::string& LicenseSpring::Customer::email | ( |  | ) | const

Getter method for customer email.

Returns
  Customer email.

## ◆ setEmail()

void LicenseSpring::Customer::setEmail | ( | const std::string & | email | ) |

Setter method for customer email.

Parameters

  email | Customer email.

## ◆ firstName()

const std::string& LicenseSpring::Customer::firstName | ( |  | ) | const

Getter method for customer first name.

Returns
  Customer first name.

## ◆ setFirstName()

void LicenseSpring::Customer::setFirstName | ( | const std::string & | firstName | ) |

Setter method for customer first name.

Parameters

  firstName | Customer first name.

## ◆ lastName()

const std::string& LicenseSpring::Customer::lastName | ( |  | ) | const

Getter method for customer last name.

Returns
  Customer last name.

## ◆ setLastName()

void LicenseSpring::Customer::setLastName | ( | const std::string & | lastName | ) |

Setter method for customer last name.

Parameters

  lastName | Customer email.

## ◆ company()

const std::string& LicenseSpring::Customer::company | ( |  | ) | const

Getter method for customer company.

Returns
  Customer company.

## ◆ setCompany()

void LicenseSpring::Customer::setCompany | ( | const std::string & | company | ) |

Setter method for customer company name.

Parameters

  company | Customer company.

## ◆ phone()

const std::string& LicenseSpring::Customer::phone | ( |  | ) | const

Getter method for customer phone.

Returns
  Customer phone.

## ◆ setPhone()

void LicenseSpring::Customer::setPhone | ( | const std::string & | phone | ) |

Setter method for customer phone.

Parameters

  phone | Customer phone.

## ◆ address()

const std::string& LicenseSpring::Customer::address | ( |  | ) | const

Getter method for customer address.

Returns
  Customer address.

## ◆ setAddress()

void LicenseSpring::Customer::setAddress | ( | const std::string & | address | ) |

Setter method for customer address.

Parameters

  address | Customer address.

## ◆ city()

const std::string& LicenseSpring::Customer::city | ( |  | ) | const

Getter method for customer city.

Returns
  Customer city.

## ◆ setCity()

void LicenseSpring::Customer::setCity | ( | const std::string & | city | ) |

Setter method for customer city.

Parameters

  city | Customer city.

## ◆ state()

const std::string& LicenseSpring::Customer::state | ( |  | ) | const

Getter method for customer state/province/region.

Returns
  Customer state.

## ◆ setState()

void LicenseSpring::Customer::setState | ( | const std::string & | state | ) |

Setter method for customer state/province/region.

Parameters

  state | Customer state.

## ◆ country()

const std::string& LicenseSpring::Customer::country | ( |  | ) | const

Getter method for customer country.

Returns
  Customer country.

## ◆ setCountry()

void LicenseSpring::Customer::setCountry | ( | const std::string & | country | ) |

Setter method for customer country.

Parameters

  country | Customer country.

## ◆ postcode()

const std::string& LicenseSpring::Customer::postcode | ( |  | ) | const

Getter method for customer postcode/zipcode.

Returns
  Customer postcode.

## ◆ setPostcode()

void LicenseSpring::Customer::setPostcode | ( | const std::string & | postcode | ) |

Setter method for customer postcode/zipcode.

Parameters

  postcode | Customer postcode.

## ◆ reference()

const std::string& LicenseSpring::Customer::reference | ( |  | ) | const

Getter method for customer reference.

Returns
  Customer reference.

## ◆ setReference()

void LicenseSpring::Customer::setReference | ( | const std::string & | reference | ) |

Setter method for customer reference.

Parameters

  reference | Customer reference.

## ◆ metadata()

const std::string& LicenseSpring::Customer::metadata | ( |  | ) | const

Getter method for customer metadata.

Returns
  Customer metadata.

## ◆ setMetadata()

void LicenseSpring::Customer::setMetadata | ( | const std::string & | metadata | ) |

Setter method for customer metadata.

Parameters

  metadata | Customer metadata.

The documentation for this class was generated from the following file:

- LicenseSpring/Customer.h